import com.j256.ormlite.dao.Dao;
import com.j256.ormlite.dao.DaoManager;
import com.j256.ormlite.jdbc.JdbcConnectionSource;
import com.j256.ormlite.support.ConnectionSource;

public class AccountApp {

    // we are using a MySQl database
    private final static String DATABASE_URL = "jdbc:mysql://localhost:3306/orm_lab?useUnicode=true";

    private Dao<Account, Integer> accountDao;
    private Console c = new Console();

    public static void main(String[] args) throws Exception {
        // turn our static method into an instance of Main
        new AccountApp().doMain(args);
    }

    private void doMain(String[] args) throws Exception {
        ConnectionSource connectionSource = null;
        try {
            // create our data-source for the database
            connectionSource = new JdbcConnectionSource(DATABASE_URL, "root", "");
            // setup our  DAOs
            setupDao(connectionSource);
            // read, write and delete some data
            processData();
        } finally {
            // destroy the data source which should close underlying connections
            if (connectionSource != null) {
                connectionSource.close();
            }
        }
    }

    /**
     * Read and write some example data.
     */
    private void processData() throws Exception {

        AccountServices acctService = new AccountServices(accountDao);
        boolean contMenu = true;



        while (contMenu) {
            c.printMenu();
            int input = c.inputNumber("Choose number to select: ");

            if(input == 1) {
                acctService.create(new Account(c.getUserName(), c.getUserPassword()));
            } else if(input == 2) {
                acctService.readAllAccounts(acctService.read());
            } else if(input == 3) {
                acctService.updateInput(c.getUserID(), accountDao.queryForId(c.getUserID()));
            } else if(input == 4) {
                acctService.delete(c.getUserID());
            } else if(input == 5) {
                contMenu = false;
            }

        }
    }

    /**
     * Setup our  DAOs
     */
    private void setupDao(ConnectionSource connectionSource) throws Exception {

        accountDao = DaoManager.createDao(connectionSource, Account.class);

    }
}