import java.util.Scanner;

public class Console {


    Scanner in;

    public Console(Scanner input) {
        this.in = input;
    }

    public Console() {
        in = new Scanner(System.in);
    }

    public void printMenu() {
        System.out.println("_____________________\n"
                + "Menu Options: \n"
                + "(1) Create a new account \n"
                + "(2) Read all accounts \n"
                + "(3) Update an existing account \n"
                + "(4) Delete an existing account \n"
                + "(5) Quit \n"
                + "____________________\n");
    }

    public String inputName(String s) {
        System.out.println(s);
        return in.next();
    }

    public String inputPassword(String s) {
        System.out.println(s);
        return in.next();
    }

    public int inputNumber(String prompt){
        System.out.println(prompt);
        return in.nextInt();
    }

    public int getUserID(){
        int inputID = inputNumber("What is your account ID? : ");
        return inputID;
    }

    public String getUserName(){
        String inputN = inputName("Enter your name : ");
        return inputN;
    }

    public String getUserPassword(){
        String inputP = inputPassword("Enter your password : ");
        return inputP;
    }

    public void print(String s){
        System.out.println(s);
    }

    public void header(){
        System.out.println("Display accounts: \n");
        System.out.println(String.format("|%5s|%15s|%15s|", "ID", "NAME", "PASSWORD"));
        System.out.println("_______________________________________________________");
    }


    public void printFormat(int id, String name, String password){
        System.out.println(String.format("%5s %15s %15s", id, name, password));
    }


}
